Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oasis.names.tc.saml._2_0.protocol
Class AuthnRequest

    java.lang.Object
      oasis.names.tc.saml._2_0.protocol.RequestAbstractType
          oasis.names.tc.saml._2_0.protocol.AuthnRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2020-09-28T09:56:29+02:00",
               comments="JAXB RI v2.2.11")
    public class AuthnRequest

extends RequestAbstractType
implements Serializable

Java class for AuthnRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AuthnRequestType">
       <complexContent>
         <extension base="{urn:oasis:names:tc:SAML:2.0:protocol}RequestAbstractType">
           <sequence>
             <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Subject" minOccurs="0"/>
             <element ref="{urn:oasis:names:tc:SAML:2.0:protocol}NameIDPolicy" minOccurs="0"/>
             <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Conditions" minOccurs="0"/>
             <element ref="{urn:oasis:names:tc:SAML:2.0:protocol}RequestedAuthnContext" minOccurs="0"/>
             <element ref="{urn:oasis:names:tc:SAML:2.0:protocol}Scoping" minOccurs="0"/>
           </sequence>
           <attribute name="ForceAuthn" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="IsPassive" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="ProtocolBinding" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           <attribute name="AssertionConsumerServiceIndex" type="{http://www.w3.org/2001/XMLSchema}unsignedShort" />
           <attribute name="AssertionConsumerServiceURL" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           <attribute name="AttributeConsumingServiceIndex" type="{http://www.w3.org/2001/XMLSchema}unsignedShort" />
           <attribute name="ProviderName" type="{http://www.w3.org/2001/XMLSchema}string" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`AuthnRequest()`

Method Summary
`Integer` | `getAssertionConsumerServiceIndex()` Gets the value of the assertionConsumerServiceIndex property.
`String` | `getAssertionConsumerServiceURL()` Gets the value of the assertionConsumerServiceURL property.
`Integer` | `getAttributeConsumingServiceIndex()` Gets the value of the attributeConsumingServiceIndex property.
`Conditions` | `getConditions()` Gets the value of the conditions property.
`NameIDPolicy` | `getNameIDPolicy()` Gets the value of the nameIDPolicy property.
`String` | `getProtocolBinding()` Gets the value of the protocolBinding property.
`String` | `getProviderName()` Gets the value of the providerName property.
`RequestedAuthnContext` | `getRequestedAuthnContext()` Gets the value of the requestedAuthnContext property.
`Scoping` | `getScoping()` Gets the value of the scoping property.
`Subject` | `getSubject()` Gets the value of the subject property.
`Boolean` | `isForceAuthn()` Gets the value of the forceAuthn property.
`Boolean` | `isIsPassive()` Gets the value of the isPassive property.
`void` | `setAssertionConsumerServiceIndex(Integer value)` Sets the value of the assertionConsumerServiceIndex property.
`void` | `setAssertionConsumerServiceURL(String value)` Sets the value of the assertionConsumerServiceURL property.
`void` | `setAttributeConsumingServiceIndex(Integer value)` Sets the value of the attributeConsumingServiceIndex property.
`void` | `setConditions(Conditions value)` Sets the value of the conditions property.
`void` | `setForceAuthn(Boolean value)` Sets the value of the forceAuthn property.
`void` | `setIsPassive(Boolean value)` Sets the value of the isPassive property.
`void` | `setNameIDPolicy(NameIDPolicy value)` Sets the value of the nameIDPolicy property.
`void` | `setProtocolBinding(String value)` Sets the value of the protocolBinding property.
`void` | `setProviderName(String value)` Sets the value of the providerName property.
`void` | `setRequestedAuthnContext(RequestedAuthnContext value)` Sets the value of the requestedAuthnContext property.
`void` | `setScoping(Scoping value)` Sets the value of the scoping property.
`void` | `setSubject(Subject value)` Sets the value of the subject property.

Methods inherited from class oasis.names.tc.saml._2_0.protocol.RequestAbstractType
`getConsent, getDestination, getExtensions, getID, getIssueInstant, getIssuer, getSignature, getVersion, setConsent, setDestination, setExtensions, setID, setIssueInstant, setIssuer, setSignature, setVersion`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthnRequest

    public AuthnRequest()

Method Detail

### getSubject

    public Subject getSubject()

  Gets the value of the subject property.

  Returns:
    possible object is `Subject`

### setSubject

    public void setSubject(Subject value)

  Sets the value of the subject property.

  Parameters:
    `value` - allowed object is `Subject`

### getNameIDPolicy

    public NameIDPolicy getNameIDPolicy()

  Gets the value of the nameIDPolicy property.

  Returns:
    possible object is `NameIDPolicy`

### setNameIDPolicy

    public void setNameIDPolicy(NameIDPolicy value)

  Sets the value of the nameIDPolicy property.

  Parameters:
    `value` - allowed object is `NameIDPolicy`

### getConditions

    public Conditions getConditions()

  Gets the value of the conditions property.

  Returns:
    possible object is `Conditions`

### setConditions

    public void setConditions(Conditions value)

  Sets the value of the conditions property.

  Parameters:
    `value` - allowed object is `Conditions`

### getRequestedAuthnContext

    public RequestedAuthnContext getRequestedAuthnContext()

  Gets the value of the requestedAuthnContext property.

  Returns:
    possible object is `RequestedAuthnContext`

### setRequestedAuthnContext

    public void setRequestedAuthnContext(RequestedAuthnContext value)

  Sets the value of the requestedAuthnContext property.

  Parameters:
    `value` - allowed object is `RequestedAuthnContext`

### getScoping

    public Scoping getScoping()

  Gets the value of the scoping property.

  Returns:
    possible object is `Scoping`

### setScoping

    public void setScoping(Scoping value)

  Sets the value of the scoping property.

  Parameters:
    `value` - allowed object is `Scoping`

### isForceAuthn

    public Boolean isForceAuthn()

  Gets the value of the forceAuthn property.

  Returns:
    possible object is `Boolean`

### setForceAuthn

    public void setForceAuthn(Boolean value)

  Sets the value of the forceAuthn property.

  Parameters:
    `value` - allowed object is `Boolean`

### isIsPassive

    public Boolean isIsPassive()

  Gets the value of the isPassive property.

  Returns:
    possible object is `Boolean`

### setIsPassive

    public void setIsPassive(Boolean value)

  Sets the value of the isPassive property.

  Parameters:
    `value` - allowed object is `Boolean`

### getProtocolBinding

    public String getProtocolBinding()

  Gets the value of the protocolBinding property.

  Returns:
    possible object is `String`

### setProtocolBinding

    public void setProtocolBinding(String value)

  Sets the value of the protocolBinding property.

  Parameters:
    `value` - allowed object is `String`

### getAssertionConsumerServiceIndex

    public Integer getAssertionConsumerServiceIndex()

  Gets the value of the assertionConsumerServiceIndex property.

  Returns:
    possible object is `Integer`

### setAssertionConsumerServiceIndex

    public void setAssertionConsumerServiceIndex(Integer value)

  Sets the value of the assertionConsumerServiceIndex property.

  Parameters:
    `value` - allowed object is `Integer`

### getAssertionConsumerServiceURL

    public String getAssertionConsumerServiceURL()

  Gets the value of the assertionConsumerServiceURL property.

  Returns:
    possible object is `String`

### setAssertionConsumerServiceURL

    public void setAssertionConsumerServiceURL(String value)

  Sets the value of the assertionConsumerServiceURL property.

  Parameters:
    `value` - allowed object is `String`

### getAttributeConsumingServiceIndex

    public Integer getAttributeConsumingServiceIndex()

  Gets the value of the attributeConsumingServiceIndex property.

  Returns:
    possible object is `Integer`

### setAttributeConsumingServiceIndex

    public void setAttributeConsumingServiceIndex(Integer value)

  Sets the value of the attributeConsumingServiceIndex property.

  Parameters:
    `value` - allowed object is `Integer`

### getProviderName

    public String getProviderName()

  Gets the value of the providerName property.

  Returns:
    possible object is `String`

### setProviderName

    public void setProviderName(String value)

  Sets the value of the providerName property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSLOGOPEDIST 3.20.2 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.